Create a blueprint
curl --request POST \
--url https://api.useblueprints.ai/api/blueprints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"visual": "<unknown>",
"thesisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
visual: '<unknown>',
thesisId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.useblueprints.ai/api/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/blueprints"
payload = {
"name": "<string>",
"visual": "<unknown>",
"thesisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentId": "<string>",
"visual": "<unknown>",
"nodeStates": "<unknown>",
"error": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Blueprints
Create a blueprint
Creates a draft blueprint. API keys need the blueprints:write scope. You can create an empty blueprint with just a name, or provide an initial visual definition.
POST
/
api
/
blueprints
Create a blueprint
curl --request POST \
--url https://api.useblueprints.ai/api/blueprints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"visual": "<unknown>",
"thesisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
visual: '<unknown>',
thesisId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.useblueprints.ai/api/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.useblueprints.ai/api/blueprints"
payload = {
"name": "<string>",
"visual": "<unknown>",
"thesisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "draft",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deploymentId": "<string>",
"visual": "<unknown>",
"nodeStates": "<unknown>",
"error": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}{
"error": {
"message": "<string>"
},
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.